A notes graph node and the notes that mention it
GET
/api/v1/saga/graph/nodes/{id}
const url = 'https://api.yggy.tech/api/v1/saga/graph/nodes/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/saga/graph/nodes/example \ --header 'Authorization: Bearer <token>'The node with at most 20 notes that mention it.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
Graph node id
string
Graph node id
Responses
Section titled “ Responses ”Node and notes
Media type application/json
object
id
required
string
label
required
string
type
required
string
degree
integer
notes
required
Array<object>
object
id
required
string
title
required
string
isAudio
required
boolean
noteCount
required
integer
notesMore
required
boolean
hasSources
required
boolean
Example generated
{ "id": "example", "label": "example", "type": "example", "degree": 1, "notes": [ { "id": "example", "title": "example", "isAudio": true } ], "noteCount": 1, "notesMore": true, "hasSources": true}Not a yggy notes workspace
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}No such node in this workspace
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}Too many graph requests
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}